#ifndef GLOBAL_H
#define GLOBAL_H

#include <allegro.h>
#include <string>
#include <fstream>

#define XTILESIZE 32
#define YTILESIZE 32
#define NUMBER_OF_TILES 256

extern BITMAP *buffer;
extern BITMAP *tilebuffer;

extern int xtotal;
extern int ytotal;
extern RLE_SPRITE *tile[NUMBER_OF_TILES];
extern DATAFILE *data;
extern int map[255][255];
extern volatile int scrollx;
extern volatile int scrolly;

extern volatile int scrolled;

extern volatile int selectedtile;

extern int wheretodraw;

extern bool rightclicked;

#endif

