// Load Map function

#include "global.h"
#include "functions.h"

void load_map(string level)
{
    ifstream levelfile;
    levelfile.open(level.c_str(), ios::in | ios::binary);
    if(!levelfile)
    {
        allegro_message("Level not found!");
        exit(-1);
    }
    xtotal = levelfile.get();
	ytotal = levelfile.get();
	for(int x=0, y=0; x <= xtotal; x++)
	{
		if(x == xtotal)
		{
			if(y == ytotal) x += xtotal;
			else
			{
				y++;
				x = 0;
			}
		}
		map[x][y] = levelfile.get();
	}
	levelfile.close();
}

